Skip to content
Sign in

Look up a name

Registration data for names under GOpenCDR TLDs. Personal data is never published.

Look up a domain such as hello.gelhaus, a TLD such as gelhaus, or a nameserver.

For developers

Standards
RFC 9082, RFC 9083, bootstrap RFC 9224
Limit
60 lookups a minute per address
curl -s https://cdr.gplatform.org/rdap/domain/hello.gelhaus